//Set defaults
global.Promise = import("bluebird");
//
export default {
  //Base Events
  IKTransaction: import("./src/BaseEvent/IKTransaction.js").default,
  IKProcess: import("./src/BaseEvent/IKProcess.js").default,
  //Extra Events
  IKRouter: import("./src/IKRouter.js").default,
  IKEventProcessor: import('./src/IKEventProcessor.js').default,
  IKDynamoStream: import('./src/IKDynamoStream.js').default,
  IKStepTransaction: import('./src/IKStepTransaction.js').default,

  //Extra components
  IKMailer: import('./src/Mailer/IKMailer.js').default,
  IKValidation: import('./src/Validation/IKValidation.js').default,

  //Responses
  IKResponse: import("./src/API/IKResponse.js").default,
  IKBadRequestResponse: import("./src/API/IKResponse.js").IKBadRequestResponse,
  IKUnauthorizedResponse: import("./src/API/IKResponse.js").IKUnauthorizedResponse,
  IKMissingParamResponse: import("./src/API/IKResponse.js").IKMissingParamResponse,
  IKMissingQueryResponse: import("./src/API/IKResponse.js").IKMissingQueryResponse,
  IKSuccessResponse: import("./src/API/IKResponse.js").IKSuccessResponse,
  IKSuccessStreamResponse: import("./src/API/IKResponse.js").IKSuccessStreamResponse,
  IKSuccessNoContentResponse: import("./src/API/IKResponse.js").IKSuccessNoContentResponse,
  IKBadRequestResponseWithRollback: import("./src/API/IKResponse.js").IKBadRequestResponseWithRollback,
  IKStepFunctionResponse: import("./src/API/IKResponse.js").IKStepFunctionResponse,
  IKSimpleResponse: import("./src/API/IKResponse.js").IKSimpleResponse,
  
  //Helpers
  Utils: import("./src/API/IKUtils.js").default,

  //Cache
    //Redis
      IKRedis: import('./src/Cache/Redis/IKRedis.js').default,

  //Database
    //PSQL
      IKDBPSQLQuery: import("./src/Database/PSQL/IKDBBaseQuery.js").default,
    //DDB
      IKDBDDBQueryScan: import("./src/Database/DDB/IKDBQueryScan.js").default,
      IKDBDDBQueryGet: import("./src/Database/DDB/IKDBQueryGet.js").default,
      IKDBDDBQueryPut: import("./src/Database/DDB/IKDBQueryPut.js").default,
      IKDBDDBQueryUpdate: import("./src/Database/DDB/IKDBQueryUpdate.js").default,
      IKDBDDBQueryDelete: import("./src/Database/DDB/IKDBQueryDelete.js").default,
      IKDBDDBQueryBatchWrite: import("./src/Database/DDB/IKDBQueryBatchWrite.js").default,
      IKDBDDBQueryBatchGet: import("./src/Database/DDB/IKDBQueryBatchGet.js").default,
      IKDBDDBQueryTransactionalWrite: import("./src/Database/DDB/IKDBQueryTransactionalWrite.js").default,
      IKDBDDBExpressionOperator: import("./src/Database/DDB/IKDBBaseExpression.js").IKDBExpressionOperator,
    //Legacy
      IKDBQueryScan: import("./src/Database/DDB/IKDBQueryScan.js").default,
      IKDBQueryGet: import("./src/Database/DDB/IKDBQueryGet.js").default,
      IKDBQueryPut: import("./src/Database/DDB/IKDBQueryPut.js").default,
      IKDBQueryUpdate: import("./src/Database/DDB/IKDBQueryUpdate.js").default,
      IKDBQueryDelete: import("./src/Database/DDB/IKDBQueryDelete.js").default,
      IKDBQueryBatchWrite: import("./src/Database/DDB/IKDBQueryBatchWrite.js").default,
      IKDBQueryBatchGet: import("./src/Database/DDB/IKDBQueryBatchGet.js").default,
      IKDBQueryTransactionalWrite: import("./src/Database/DDB/IKDBQueryTransactionalWrite.js").default,
      IKDBExpressionOperator: import("./src/Database/DDB/IKDBBaseExpression.js").IKDBExpressionOperator,
};
